Skip to main content
PATCH
/
telephony
/
connections
/
{connection_id}
Rename a telephony connection
curl --request PATCH \
  --url https://api.vocobase.com/api/v2/telephony/connections/{connection_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Plivo India - Support"
}
'
{
  "success": true,
  "data": {
    "connection": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "is_default": true,
      "last_verified_at": "2023-11-07T05:31:56Z",
      "last_error_message": "<string>",
      "phone_numbers": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connection_name": "<string>",
          "phone_number": "+918065480085",
          "friendly_name": "<string>",
          "is_default": true,
          "inbound_enabled": true,
          "agent": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>"
          },
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "livekit_sip_uri": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  }
}

Authorizations

Authorization
string
header
required

API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.

Path Parameters

connection_id
string<uuid>
required

Telephony connection ID.

Body

application/json
name
string
required
Required string length: 1 - 100
Example:

"Plivo India - Support"

Response

Connection renamed.

success
boolean
data
object